Last Comment Bug 680376 - Source Editor does not give visual indication of read-only mode
: Source Editor does not give visual indication of read-only mode
Status: RESOLVED FIXED
[sourceeditor]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: Firefox 11
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on: 702331
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-19 01:56 PDT by Cedric Vivier [:cedricv]
Modified: 2011-12-15 03:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Cedric Vivier [:cedricv] 2011-08-19 01:56:14 PDT
When switching SourceEditor.readOnly to true, key presses are not handled anymore (good) but the editor does not provide any visual indication.

It should probably change the background color to gray (or -moz-dialog) or something, so that the user knows that it is read-only and what to expect.
Comment 1 Mihai Sucan [:msucan] 2011-10-07 12:57:02 PDT
This is probably not something for minotaur. (feel free to disagree!)

I am not sure if it's up to the editor to make any visual indication of the readonly mode.

We need to provide a visual indication of the editor being in read only mode, but consider the scenario of using the Source Editor inside the debugger or view source, where you set readonly=true but you don't want to have a gray background. So, really, we need a way to easily customize the styling of the editor iframe - so Style Editor can change the background to gray (for example) when the user switches to a readonly stylesheet.
Comment 2 Mihai Sucan [:msucan] 2011-12-15 03:07:25 PST
This is now fixed by bug 702331.

Note You need to log in before you can comment on or make changes to this bug.